Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.engine
Interface JMeterEngine

All Known Implementing Classes:
  ClientJMeterEngine, StandardJMeterEngine

    public interface JMeterEngine

This interface is implemented by classes that can run JMeter tests.

Method Summary
`void` | `configure(HashTree testPlan)`
`void` | `exit()`
`boolean` | `isActive()`
`void` | `reset()`
`void` | `runTest()`
`void` | `setProperties(Properties p)`
`void` | `stopTest(boolean now)`

Method Detail

### configure

    void configure(HashTree testPlan)

### runTest

    void runTest()
                 throws JMeterEngineException

  Throws:
    `JMeterEngineException`

### stopTest

    void stopTest(boolean now)

### reset

    void reset()

### setProperties

    void setProperties(Properties p)

### exit

    void exit()

### isActive

    boolean isActive()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.